Game Develop Core: gd::GridSetupDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::GridSetupDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Tiny dialog used to parameter the grid showed on a layout editor canvas. More...

`#include <GridSetupDialog.h>`

Inheritance diagram for gd::GridSetupDialog:
[legend]

## Public Member Functions

| GridSetupDialog (wxWindow *parent, int &width, int &height, bool &snap_, int &r_, int &g_, int &b_)

## Public Attributes

wxStaticBitmap * | StaticBitmap2
wxTextCtrl * | widthEdit
wxStaticText * | StaticText6
wxTextCtrl * | heightEdit
wxStaticText * | StaticText1
wxStaticText * | StaticText3
wxButton * | cancelBt
wxPanel * | colorPanel
wxStaticText * | StaticText5
wxStaticLine * | StaticLine1
wxHyperlinkCtrl * | helpBt
wxStaticText * | StaticText4
wxButton * | okBt
wxCheckBox * | snapCheck
int & | gridWidth
int & | gridHeight
bool & | snap
int & | r
int & | g
int & | b

## Static Protected Attributes

static const long | ID_STATICTEXT3 = wxNewId()
static const long | ID_TEXTCTRL2 = wxNewId()
static const long | ID_STATICTEXT4 = wxNewId()
static const long | ID_STATICTEXT5 = wxNewId()
static const long | ID_TEXTCTRL3 = wxNewId()
static const long | ID_STATICTEXT6 = wxNewId()
static const long | ID_CHECKBOX1 = wxNewId()
static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_PANEL1 = wxNewId()
static const long | ID_STATICLINE1 = wxNewId()
static const long | ID_STATICBITMAP2 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()

## Detailed Description

Tiny dialog used to parameter the grid showed on a layout editor canvas.

See Also
  LayoutEditorCanvas

The documentation for this class was generated from the following files:

- GridSetupDialog.h
- GridSetupDialog.cpp